Debian Bug report logs - #478289
nautilus: dragging volume to trash provides even less helpful response

version graph

Package: nautilus; Maintainer for nautilus is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>; Source for nautilus is src:nautilus.

Reported by: "brian m. carlson" <sandals@crustytoothpaste.net>

Date: Mon, 28 Apr 2008 16:00:01 UTC

Severity: normal

Tags: fixed-upstream

Found in version nautilus/2.22.1-1

Forwarded to http://bugzilla.gnome.org/show_bug.cgi?id=115763

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#478289; Package nautilus. Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.ath.cx>:
New Bug report received and forwarded. Copy sent to Josselin Mouette <joss@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: nautilus: dragging volume to trash provides even less helpful response
Date: Mon, 28 Apr 2008 15:56:27 +0000
[Message part 1 (text/plain, inline)]
Package: nautilus
Version: 2.22.1-1
Severity: normal

Attempting to drag a volume to the trash no longer provides the
(unhelpful and annoying) message that you should use Eject instead; now
it claims:

  Error while deleting.

  There was an error getting
  information about "Audio Disk.volume".

  > Show more details
  The specified location is not supported

Although I am of the opinion that dragging a volume to the trash should
eject the volume, because that's what everyone who does that expects it
to do, the current situation is a regression in helpfulness.  "The
specified location is not supported" is not at all helpful, and wouldn't
mean anything to me if I hadn't already known that nautilus doesn't
support trash-to-eject.

Please fix it to either restore the old message or support
trash-to-eject.


-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.25-trunk-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_US.UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages nautilus depends on:
ii  desktop-file-utils         0.15-1        Utilities for .desktop files
ii  gnome-control-center       1:2.22.1-1    utilities to configure the GNOME d
ii  gvfs-backends              0.2.3-1       userspace virtual filesystem - bac
ii  libatk1.0-0                1.22.0-1      The ATK accessibility toolkit
ii  libbeagle1                 0.3.5-1       library for accessing beagle using
ii  libbonobo2-0               2.22.0-1      Bonobo CORBA interfaces library
ii  libc6                      2.7-10        GNU C Library: Shared libraries
ii  libcairo2                  1.6.4-1+b1    The Cairo 2D vector graphics libra
ii  libeel2-2.22               2.22.1-1      Eazel Extensions Library (for GNOM
ii  libexempi3                 2.0.0-1       library to parse XMP metadata (Lib
ii  libexif12                  0.6.16-2.1    library to parse EXIF files
ii  libgail-common             1.22.1-1+b1   GNOME Accessibility Implementation
ii  libgail18                  1.22.1-1+b1   GNOME Accessibility Implementation
ii  libgconf2-4                2.22.0-1      GNOME configuration database syste
ii  libglade2-0                1:2.6.2-1     library to load .glade files at ru
ii  libglib2.0-0               2.16.3-2      The GLib library of C routines
ii  libgnome-desktop-2         2.22.1-1      Utility library for loading .deskt
ii  libgnome2-0                2.20.1.1-1    The GNOME 2 library - runtime file
ii  libgnomecanvas2-0          2.20.1.1-1    A powerful object-oriented display
ii  libgnomeui-0               2.20.1.1-1    The GNOME 2 libraries (User Interf
ii  libgtk2.0-0                2.12.9-3      The GTK+ graphical user interface 
ii  libnautilus-extension1     2.22.1-1      libraries for nautilus components 
ii  liborbit2                  1:2.14.12-0.1 libraries for ORBit2 - a CORBA ORB
ii  libpango1.0-0              1.20.2-2      Layout and rendering of internatio
ii  librsvg2-2                 2.22.2-2      SAX-based renderer library for SVG
ii  libselinux1                2.0.59-1      SELinux shared libraries
ii  libstartup-notification0   0.9-1         library for program launch feedbac
ii  libtrackerclient0          0.6.6-1+b1    metadata database, indexer and sea
ii  libx11-6                   2:1.1.3-1     X11 client-side library
ii  libxml2                    2.6.32.dfsg-2 GNOME XML library
ii  nautilus-data              2.22.1-1      data files for nautilus
ii  shared-mime-info           0.23-5        FreeDesktop.org shared MIME databa

Versions of packages nautilus recommends:
ii  desktop-base                  4.0.7      common files for the Debian Deskto
ii  eject                         2.1.5-7    ejects CDs and operates CD-Changer
ii  librsvg2-common               2.22.2-2   SAX-based renderer library for SVG
ii  nautilus-cd-burner            2.22.0-1   CD Burning front-end for Nautilus
ii  xdg-user-dirs                 0.10-1     tool to manage well known user dir

-- no debconf information

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 713 440 7475 | http://crustytoothpaste.ath.cx/~bmc | My opinion only
troff on top of XML: http://crustytoothpaste.ath.cx/~bmc/code/thwack
OpenPGP: RSA v4 4096b 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#478289; Package nautilus. Full text and rfc822 format available.

Acknowledgement sent to Julian Andres Klode <jak@jak-linux.org>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. Full text and rfc822 format available.

Message #10 received at 478289@bugs.debian.org (full text, mbox):

From: Julian Andres Klode <jak@jak-linux.org>
To: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>, 478289@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#478289: nautilus: dragging volume to trash provides even less helpful response
Date: Thu, 12 Jun 2008 18:46:57 +0200
[Message part 1 (text/plain, inline)]
forwarded 478289 http://bugzilla.gnome.org/show_bug.cgi?id=538020
thanks

On Mon, Apr 28, 2008 at 03:56:27PM +0000, brian m. carlson wrote:
> Package: nautilus
> Version: 2.22.1-1
> Severity: normal
>
> Attempting to drag a volume to the trash no longer provides the
> (unhelpful and annoying) message that you should use Eject instead; now
> it claims:
>
>   Error while deleting.
>
>   There was an error getting
>   information about "Audio Disk.volume".
>
>   > Show more details
>   The specified location is not supported
>
> Although I am of the opinion that dragging a volume to the trash should
> eject the volume, because that's what everyone who does that expects it
> to do, the current situation is a regression in helpfulness.  "The
> specified location is not supported" is not at all helpful, and wouldn't
> mean anything to me if I hadn't already known that nautilus doesn't
> support trash-to-eject.
>
> Please fix it to either restore the old message or support
> trash-to-eject.
I have forwarded your bug to the GNOME Bugzilla, see above.
>
>
> -- System Information:
> Debian Release: lenny/sid
>   APT prefers unstable
>   APT policy: (500, 'unstable'), (1, 'experimental')
> Architecture: amd64 (x86_64)
>
> Kernel: Linux 2.6.25-trunk-amd64 (SMP w/2 CPU cores)
> Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_US.UTF-8)
> Shell: /bin/sh linked to /bin/dash
>
> Versions of packages nautilus depends on:
> ii  desktop-file-utils         0.15-1        Utilities for .desktop files
> ii  gnome-control-center       1:2.22.1-1    utilities to configure the GNOME d
> ii  gvfs-backends              0.2.3-1       userspace virtual filesystem - bac
> ii  libatk1.0-0                1.22.0-1      The ATK accessibility toolkit
> ii  libbeagle1                 0.3.5-1       library for accessing beagle using
> ii  libbonobo2-0               2.22.0-1      Bonobo CORBA interfaces library
> ii  libc6                      2.7-10        GNU C Library: Shared libraries
> ii  libcairo2                  1.6.4-1+b1    The Cairo 2D vector graphics libra
> ii  libeel2-2.22               2.22.1-1      Eazel Extensions Library (for GNOM
> ii  libexempi3                 2.0.0-1       library to parse XMP metadata (Lib
> ii  libexif12                  0.6.16-2.1    library to parse EXIF files
> ii  libgail-common             1.22.1-1+b1   GNOME Accessibility Implementation
> ii  libgail18                  1.22.1-1+b1   GNOME Accessibility Implementation
> ii  libgconf2-4                2.22.0-1      GNOME configuration database syste
> ii  libglade2-0                1:2.6.2-1     library to load .glade files at ru
> ii  libglib2.0-0               2.16.3-2      The GLib library of C routines
> ii  libgnome-desktop-2         2.22.1-1      Utility library for loading .deskt
> ii  libgnome2-0                2.20.1.1-1    The GNOME 2 library - runtime file
> ii  libgnomecanvas2-0          2.20.1.1-1    A powerful object-oriented display
> ii  libgnomeui-0               2.20.1.1-1    The GNOME 2 libraries (User Interf
> ii  libgtk2.0-0                2.12.9-3      The GTK+ graphical user 
> interface ii  libnautilus-extension1     2.22.1-1      libraries for 
> nautilus components ii  liborbit2                  1:2.14.12-0.1 
> libraries for ORBit2 - a CORBA ORB
> ii  libpango1.0-0              1.20.2-2      Layout and rendering of internatio
> ii  librsvg2-2                 2.22.2-2      SAX-based renderer library for SVG
> ii  libselinux1                2.0.59-1      SELinux shared libraries
> ii  libstartup-notification0   0.9-1         library for program launch feedbac
> ii  libtrackerclient0          0.6.6-1+b1    metadata database, indexer and sea
> ii  libx11-6                   2:1.1.3-1     X11 client-side library
> ii  libxml2                    2.6.32.dfsg-2 GNOME XML library
> ii  nautilus-data              2.22.1-1      data files for nautilus
> ii  shared-mime-info           0.23-5        FreeDesktop.org shared MIME databa
>
> Versions of packages nautilus recommends:
> ii  desktop-base                  4.0.7      common files for the Debian Deskto
> ii  eject                         2.1.5-7    ejects CDs and operates CD-Changer
> ii  librsvg2-common               2.22.2-2   SAX-based renderer library for SVG
> ii  nautilus-cd-burner            2.22.0-1   CD Burning front-end for Nautilus
> ii  xdg-user-dirs                 0.10-1     tool to manage well known user dir
>
> -- no debconf information
>
> -- 
> brian m. carlson / brian with sandals: Houston, Texas, US
> +1 713 440 7475 | http://crustytoothpaste.ath.cx/~bmc | My opinion only
> troff on top of XML: http://crustytoothpaste.ath.cx/~bmc/code/thwack
> OpenPGP: RSA v4 4096b 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187


[signature.asc (application/pgp-signature, inline)]

Noted your statement that Bug has been forwarded to http://bugzilla.gnome.org/show_bug.cgi?id=538020. Request was from Julian Andres Klode <jak@jak-linux.org> to control@bugs.debian.org. (Thu, 12 Jun 2008 16:48:06 GMT) Full text and rfc822 format available.

Forwarded-to-address changed from http://bugzilla.gnome.org/show_bug.cgi?id=538020 to http://bugzilla.gnome.org/show_bug.cgi?id=538020, merged-upstream: http://bugzilla.gnome.org/show_bug.cgi?id=525480. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 19 Jun 2008 20:42:13 GMT) Full text and rfc822 format available.

Forwarded-to-address changed from http://bugzilla.gnome.org/show_bug.cgi?id=538020, merged-upstream: http://bugzilla.gnome.org/show_bug.cgi?id=525480 to http://bugzilla.gnome.org/show_bug.cgi?id=115763. Request was from Josselin Mouette <joss@debian.org> to control@bugs.debian.org. (Sun, 12 Jul 2009 11:03:18 GMT) Full text and rfc822 format available.

Changed Bug submitter to '"brian m. carlson" <sandals@crustytoothpaste.net>' from '"brian m. carlson" <sandals@crustytoothpaste.ath.cx>' Request was from "brian m. carlson" <sandals@crustytoothpaste.net> to control@bugs.debian.org. (Thu, 03 Feb 2011 20:51:27 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 15 Sep 2011 16:39:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 07:18:53 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.